Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.annotation
Class AnnotationInfo

    java.lang.Object
      org.apache.myfaces.orchestra.annotation.AnnotationInfo

    public class AnnotationInfo

extends java.lang.Object

Holds information extracted out of a single bean using its annotations.

Constructor Summary
`AnnotationInfo(java.lang.String beanName, java.lang.Class<?> beanClass)`

Method Summary
`java.lang.Class<?>` | `getBeanClass()`
`java.lang.String` | `getBeanName()`
`ConversationName` | `getConversationName()`
`ConversationRequire` | `getConversationRequire()`
`java.lang.reflect.Method` | `getInitViewMethod()`
`java.lang.reflect.Method` | `getPreProcessMethod()`
`java.lang.reflect.Method` | `getPreRenderViewMethod()`
`ViewController` | `getViewController()`
`void` | `setConversationName(ConversationName conversationName)`
`void` | `setConversationRequire(ConversationRequire conversationRequire)`
`void` | `setInitViewMethod(java.lang.reflect.Method initViewMethod)`
`void` | `setPreProcessMethod(java.lang.reflect.Method preProcessMethod)`
`void` | `setPreRenderViewMethod(java.lang.reflect.Method preRenderViewMethod)`
`void` | `setViewController(ViewController viewController)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationInfo

    public AnnotationInfo(java.lang.String beanName,
                          java.lang.Class<?> beanClass)

Method Detail

### getBeanName

    public java.lang.String getBeanName()

### getBeanClass

    public java.lang.Class<?> getBeanClass()

### getConversationName

    public ConversationName getConversationName()

### setConversationName

    public void setConversationName(ConversationName conversationName)

### getConversationRequire

    public ConversationRequire getConversationRequire()

### setConversationRequire

    public void setConversationRequire(ConversationRequire conversationRequire)

### getViewController

    public ViewController getViewController()

### setViewController

    public void setViewController(ViewController viewController)

### getInitViewMethod

    public java.lang.reflect.Method getInitViewMethod()

### setInitViewMethod

    public void setInitViewMethod(java.lang.reflect.Method initViewMethod)

### getPreProcessMethod

    public java.lang.reflect.Method getPreProcessMethod()

### setPreProcessMethod

    public void setPreProcessMethod(java.lang.reflect.Method preProcessMethod)

### getPreRenderViewMethod

    public java.lang.reflect.Method getPreRenderViewMethod()

### setPreRenderViewMethod

    public void setPreRenderViewMethod(java.lang.reflect.Method preRenderViewMethod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.